/*
   ZoranDBG.h

   ZORAN ZR36120 module driver.
   Copyright (C) 1997  Vincent Labie (try ivsparis@pratique.fr with
				      for Vincent Labie in the suject)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef	ZORANDBG_H
#define	ZORANDBG_H

/**********************************************************************************************************************/

#include	"Zoran.h"

/**********************************************************************************************************************/

extern	int		ZRVerbose;
extern	int		I2CVerbose;
extern	int		SAAVerbose;

#define		ERR(x)		printk x
#define		ZRWAR(x)	if (ZRVerbose>0) printk x
#define		ZRDBG(x)	if (ZRVerbose>1) printk x
#define		I2CWAR(x)	if (I2CVerbose>0) printk x
#define		I2CDBG(x)	if (I2CVerbose>1) printk x
#define		I2CDBG2(x)	if (I2CVerbose>2) printk x
#define		SAAWAR(x)	if (SAAVerbose>0) printk x
#define		SAADBG(x)	if (SAAVerbose>1) printk x

	int	ZoranDumpRegBuf(ZORAN * pZoran,char * BufferIn,int BufferLenghtIn);
	void	ZoranDumpReg(ZORAN * pZoran);

/**********************************************************************************************************************/
#endif	//ZORANDBG_H
